Subject: Re: bug#19237: Guile-2.0.11 OS X 10.10.1 build error

From: Hans Aberg <[email-masked]>
Date: Thu, 4 Dec 2014 20:28:15 +0100

> On 4 Dec 2014, at 18:23, Ludovic Courtès <[email-masked]> wrote:
> 
> Hans Aberg <[email-masked]> skribis:
> 
>>> On 3 Dec 2014, at 23:21, Ludovic Courtès <[email-masked]> wrote:
>>> 
>>> Could it be because Guile is being compiled against libeditline instead
>>> of GNU Readline?
>>> 
>>> Readline support in Guile requires GNU Readline.
>> 
>> It looked as though that the readline in the Guile distribution is too
>> old - no other readline installed on the system.
> 
> Actually there’s no Readline in Guile itself, just the guile-readline
> bindings.

I think the binding problem was that what Guile expected to be in one file, readline now has in several.

>> I just installed the latest GNU readline into /usr/local/, and then
>> Guile compiled.
> 
> OK, so I guess it was really libeditline’s Readline semi-compatibility
> shim that was being used.

Yes, there was some compatibility file, with the problem as above.

> Closing this bug now.

OK.